Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.metadata
Class PortalObjectMetaData

    java.lang.Object
      org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData

Direct Known Subclasses:
  ContextMetaData, PageMetaData, PortalMetaData, WindowMetaData

    public abstract class PortalObjectMetaData

extends java.lang.Object

Version:
  $Revision: 11767 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Constructor Summary
`PortalObjectMetaData()`

Method Summary
`static void` | `buildDisplayNameMetaData(PortalObjectMetaData portalObjectMD, org.w3c.dom.Element portalObjectElt)`
`static void` | `buildListenerMetaData(PortalObjectMetaData portalObjectMD, org.w3c.dom.Element listenerElt)`
`static PortalObjectMetaData` | `buildMetaData(ContentProviderRegistry contentProviderRegistry, org.w3c.dom.Element portalObjectElt)`
`static void` | `buildPropertiesMetaData(PortalObjectMetaData portalObjectMD, org.w3c.dom.Element propertiesElt)`
`static void` | `buildResourceBundleMetaData(PortalObjectMetaData portalObjectMD, org.w3c.dom.Element resourceBundleElt)`
`static void` | `buildSupportedLocalesMetaData(PortalObjectMetaData portalObjectMD, org.w3c.dom.Element portalObjectElt)`
`PortalObject` | `create(BuildContext buildContext, PortalObject parent)` Create an instance of the corresponding portal object.
`java.util.Map<java.lang.String,PortalObjectMetaData>` | `getChildren()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.lang.String` | `getListener()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`java.lang.String` | `getResourceBundle()`
`SecurityConstraintsMetaData` | `getSecurityConstraints()`
`java.util.List` | `getSupportedLocales()`
`protected abstract PortalObject` | `newInstance(BuildContext buildContext, PortalObject parent)`
`void` | `setChildren(java.util.Map children)`
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)`
`void` | `setListener(java.lang.String listener)`
`void` | `setName(java.lang.String name)`
`void` | `setProperties(java.util.Map properties)`
`void` | `setResourceBundle(java.lang.String resourceBundle)`
`void` | `setSecurityConstraints(SecurityConstraintsMetaData securityConstraints)`
`void` | `setSupportedLocales(java.util.List supportedLocales)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalObjectMetaData

    public PortalObjectMetaData()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getListener

    public java.lang.String getListener()

### setListener

    public void setListener(java.lang.String listener)

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

### setProperties

    public void setProperties(java.util.Map properties)

### getChildren

    public java.util.Map<java.lang.String,PortalObjectMetaData> getChildren()

### setChildren

    public void setChildren(java.util.Map children)

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### getSecurityConstraints

    public SecurityConstraintsMetaData getSecurityConstraints()

### setSecurityConstraints

    public void setSecurityConstraints(SecurityConstraintsMetaData securityConstraints)

### create

    public final PortalObject create(BuildContext buildContext,
                                     PortalObject parent)
                              throws java.lang.Exception

  Create an instance of the corresponding portal object.

  Parameters:
    `buildContext` - the context
    `parent` - the parent object
  Returns:
    the corresponding portal object
  Throws:
    `java.lang.Exception` - any exception

### newInstance

    protected abstract PortalObject newInstance(BuildContext buildContext,
                                                PortalObject parent)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildMetaData

    public static PortalObjectMetaData buildMetaData(ContentProviderRegistry contentProviderRegistry,
                                                     org.w3c.dom.Element portalObjectElt)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildPropertiesMetaData

    public static void buildPropertiesMetaData(PortalObjectMetaData portalObjectMD,
                                               org.w3c.dom.Element propertiesElt)

### buildDisplayNameMetaData

    public static void buildDisplayNameMetaData(PortalObjectMetaData portalObjectMD,
                                                org.w3c.dom.Element portalObjectElt)

### buildSupportedLocalesMetaData

    public static void buildSupportedLocalesMetaData(PortalObjectMetaData portalObjectMD,
                                                     org.w3c.dom.Element portalObjectElt)

### buildListenerMetaData

    public static void buildListenerMetaData(PortalObjectMetaData portalObjectMD,
                                             org.w3c.dom.Element listenerElt)

### buildResourceBundleMetaData

    public static void buildResourceBundleMetaData(PortalObjectMetaData portalObjectMD,
                                                   org.w3c.dom.Element resourceBundleElt)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getResourceBundle

    public java.lang.String getResourceBundle()

### setResourceBundle

    public void setResourceBundle(java.lang.String resourceBundle)

### getSupportedLocales

    public java.util.List getSupportedLocales()

### setSupportedLocales

    public void setSupportedLocales(java.util.List supportedLocales)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD